Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.passage
Class DefaultKeyVisitor

    java.lang.Object
      org.crosswire.jsword.passage.DefaultKeyVisitor

All Implemented Interfaces:
  KeyVisitor

Direct Known Subclasses:
  AbstractKeyList.NameVisitor

    public class DefaultKeyVisitor

extends Object
implements KeyVisitor

A default implementation of KeyVisitor that does nothing, for use in inheritance where you want to save space by not overriding all methods.

Author:
  Joe Walker
See Also:
  `The GNU Lesser General Public License for details.`

Constructor Summary
`DefaultKeyVisitor()`

Method Summary
`void` | `visitBranch(Key key)` We've found a branch node in a Key tree, and are giving the visitor a chance to do processing based on it.
`void` | `visitLeaf(Key key)` We've found a leaf node in a Key tree, and are giving the visitor a chance to do processing based on it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultKeyVisitor

    public DefaultKeyVisitor()

Method Detail

### visitLeaf

    public void visitLeaf(Key key)

  Description copied from interface: `KeyVisitor`
  We've found a leaf node in a Key tree, and are giving the visitor a chance to do processing based on it.

  Specified by:
    `visitLeaf` in interface `KeyVisitor`
  Parameters:
    `key` - The found leaf node.

### visitBranch

    public void visitBranch(Key key)

  Description copied from interface: `KeyVisitor`
  We've found a branch node in a Key tree, and are giving the visitor a chance to do processing based on it.

  Specified by:
    `visitBranch` in interface `KeyVisitor`
  Parameters:
    `key` - The found branch node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD